/*****************************************************************************/
/*   Copyright Anritsu 1999  All Rights Reserved.                            */
/*****************************************************************************/

#include <visatype.h>
#include "mp1570_misc.h"

ViStatus _VI_FUNC MP1570_GetAPSCaptureData (ViSession instrSession,ViInt32 K1, ViInt32 K2, ViInt32* K1Echo, ViInt32* K2Echo, ViInt32* Frame);
ViStatus _VI_FUNC MP1570_GetCapturedLines (ViSession instrSession, ViInt32 capturedLines);
ViStatus _VI_FUNC MP1570_GetCapturedTriggerLines (ViSession instrSession, ViInt32 capturedLines);
ViStatus _VI_FUNC MP1570_GetCapturedIPPacketData (ViSession instrSession, ViInt32 packetnumber, ViInt32 start, ViInt32 stop,
    ViChar* etype, ViChar* IPHeader, ViChar* info);
ViStatus _VI_FUNC MP1570_GetCapturedPPacketData (ViSession instrSession, ViInt32 packetNumber,
    ViChar* etype, ViChar* sourceAddress, ViChar* destinationAddress, ViBoolean* bCRC);
ViStatus _VI_FUNC MP1570_GetCalculatedData (ViSession instrSession,
    ViUInt16 currentLast, ViChar* dataSelector, ViChar* calculatedData);
ViStatus _VI_FUNC MP1570_GetFrameCaptureData (ViSession instrSession,
    ViInt32 start1, ViInt32 start2, ViInt32 stop1, ViInt32 stop2, ViChar* data);
ViStatus _VI_FUNC MP1570_GetTOHresultframe64 (ViSession instrSession, ViUInt16 hexAscii, ViChar* TOHframe64);
ViStatus _VI_FUNC MP1570_GetIPCapturePacketData (ViSession instrSession, ViInt32 packetnumber, ViInt32 start, ViInt32 stop, ViChar* etype, ViChar* IPHeader, ViChar* info);
ViStatus _VI_FUNC MP1570_GetIPAddresses (ViSession instrSession, ViChar** addresses);
ViStatus _VI_FUNC MP1570_GetIPAddressQuantity (ViSession instrSession, ViInt32* addressQuantity);
ViStatus _VI_FUNC MP1570_GetOHCaptureData (ViSession instrSession, ViChar* dataType, ViInt32 number1, ViInt32 number2, ViChar** strings);
ViStatus _VI_FUNC MP1570_GetSimulatedData (ViSession instrSession,
    ViInt32 channel1, ViInt32 channel2, ViChar* data, ViBoolean* goNogo);
ViStatus _VI_FUNC MP1570_SetPerformanceMeasurementFrame (ViSession instrSession, ViUInt16 performanceMeasurementFrame);
ViStatus _VI_FUNC MP1570_GetPerformanceMeasurementFrame (ViSession instrSession, ViUInt16* performanceMeasurementFrame);
ViStatus _VI_FUNC MP1570_SetM210XPerformLimit(ViSession instrSession,
    ViUInt16 M210XType, ViUInt16 M210xRxType, ViUInt16 lowerUpper, ViInt32 limit);
ViStatus _VI_FUNC MP1570_GetM210XPerformLimit (ViSession instrSession,
    ViUInt16 M210XType, ViUInt16 M210xRxType, ViUInt16 lowerUpper, ViInt32* limit);
ViStatus _VI_FUNC MP1570_SetM210XPerformJudgement (ViSession instrSession,
    ViUInt16 M210XType, ViUInt16 M210xRxType, ViInt16 lowerUpper, ViBoolean performThresholdJudgement);
ViStatus _VI_FUNC MP1570_GetM210XPerformJudgement (ViSession instrSession,
    ViUInt16 M210XType, ViUInt16 M210xRxType, ViInt16 lowerUpper, ViBoolean* performThresholdJudgement);

ViStatus _VI_FUNC MP1570_SetM2110PerformLimit (ViSession instrSession,
    ViUInt16 RxType, ViUInt16 timeSpan, ViUInt16 lowerUpper, ViInt32 limit);
ViStatus _VI_FUNC MP1570_GetM2110PerformLimit (ViSession instrSession,
    ViUInt16 RxType, ViUInt16 timeSpan, ViUInt16 lowerUpper, ViInt32* limit);
ViStatus _VI_FUNC MP1570_SetM2110BISLimit (ViSession instrSession,
    ViReal64 limit);
ViStatus _VI_FUNC MP1570_GetM2110BISLimit (ViSession instrSession, ViReal64* BISLimit);
ViStatus _VI_FUNC MP1570_SetM2110BISType (ViSession instrSession, ViUInt16 BISType);
ViStatus _VI_FUNC MP1570_GetM2110BISType (ViSession instrSession, ViUInt16* BISType);

ViStatus _VI_FUNC MP1570_SetM2120PerformLimit (ViSession instrSession,
    ViUInt16 RxType, ViUInt16 timeSpan, ViInt32 limit);
ViStatus _VI_FUNC MP1570_GetM2120PerformLimit (ViSession instrSession,
    ViUInt16 RxType, ViUInt16 timeSpan, ViInt32* limit);
ViStatus _VI_FUNC MP1570_SetM2120Limit1 (ViSession instrSession, ViReal64 limit);
ViStatus _VI_FUNC MP1570_GetM2120Limit1 (ViSession instrSession, ViReal64* limit);
ViStatus _VI_FUNC MP1570_SetM2120Limit2 (ViSession instrSession, ViInt32 limit);
ViStatus _VI_FUNC MP1570_GetM2120Limit2 (ViSession instrSession, ViInt32* limit);
ViStatus _VI_FUNC MP1570_SetM2120ThresholdType (ViSession instrSession, ViUInt16 thresholdType);
ViStatus _VI_FUNC MP1570_GetM2120ThresholdType (ViSession instrSession, ViUInt16* thresholdType);
ViStatus _VI_FUNC MP1570_SetPerformanceMeasurementType (ViSession instrSession, ViUInt16 performanceMeasurementType);
ViStatus _VI_FUNC MP1570_GetPerformanceMeasurementType (ViSession instrSession, ViUInt16* performanceMeasurementType);
ViStatus _VI_FUNC MP1570_GetErrorAlarmAnalysis (ViSession instrSession,
    ViInt32 tYear, ViInt32 tMonth, ViInt32 tDay,
        ViInt32 tHour, ViInt32 tMinute, ViInt32 tSecond,
    ViInt32* pYear, ViInt32* pMonth, ViInt32* pDay,
        ViInt32* pHour, ViInt32* pMinute, ViInt32* pSecond,
    ViInt32* alarm1s, ViInt32* alarm1c,
    ViInt32* alarm2s, ViInt32* alarm2c,
    ViInt32* alarm3s, ViInt32* alarm3c,
    ViInt32* alarm4s, ViInt32* alarm4c,
    ViInt32* alarm5s, ViInt32* alarm5c,
    ViInt32* errorCountValue, ViReal64* errorRateValue);
ViStatus _VI_FUNC MP1570_GetTroubleSearchData (ViSession instrSession,
    ViUInt16 queryContent, ViBoolean* troubleSearchData);
ViStatus _VI_FUNC MP1570_GetTroubleSearchResults (ViSession instrSession,
    ViBoolean* troubleSearchResult, ViInt32* troubleRoutes, ViInt32* totalRoutes);
ViStatus _VI_FUNC MP1570_GetCheckErrorFree (ViSession instrSession,
                                            vekIdxStrList measurement,
                                            vekIdxStrList *status);
