/*****************************************************************************/
/*   Copyright Anritsu 2000  All Rights Reserved.                            */
/*  REVISION HISTORY
/*  1 Aug 2001 - N Larsen -- Changed cErrorItemDisplay
/*                           Changed cAlarmItem
/*
/*****************************************************************************/

#include <visatype.h>

char* cAnalyzeMonitor[] =
{
   "OH",
   "PMSP",
   "PTR",
   "DFR",
   "PFR",
   "TTR",
   "IBYT",
   "PAYL",
   "TAND",
   "SIGN",
   0L
};
char* cMonitorDataS1[] =
{
   "STU",
   "PRS",
   "ST2",
   "ST3",
   "SMC",
   "RES",
   "DUS",
   0L
};
char* cMonitorDataC2[] =
{
   "Unequipped",
   "Equipped-non-specific",
   "VT-Structure STS1 SPE",
   "Locked VT Mode",
   "Async. Mapping DS3",
   "Async. Mapping DS4NA",
   "Mapping for ATM",
   "Mapping for DQDB",
   "Async. Mapping FDDI",
   "Unused",
   "AIS-P",
   0L
};
char* cMonitorOHMonitorSubscreen[] =
{
   "Unequipped",
   "Unequipped-non-specific",
   "Asynchronous",
   "Bitsynchronous",
   "Bytesynchronous",
   "Reserved",
   "0.181 mapping",
   "VC-AIS",
   0L
};
char* cAnalyzeMonitorK1K2Data[] =
{
   "NREQ",
   "DNR",
   "RREQ",
   "UUS3",
   "EXER",
   "UUS5",
   "WTR",
   "UUS7",
   "MSW",
   "UUS9",
   "SDLP",
   "SDHP",
   "SFLP",
   "SFHP",
   "FSW",
   "LOPR",
   0L
};
char* cK1X1to8bits[] =
{
   "NCH",
   "WC1",
   "WC2",
   "WC3",
   "WC4",
   "WC5",
   "WC6",
   "WC7",
   "WC8",
   "WC9",
   "WC10",
   "WC11",
   "WC12",
   "WC13",
   "WC14",
   "ETCH",
   0L
};
char * cK2X5bits[] =
{
   "OPOA",
   "OCNA",
   0L
};
char * cDisplayItemDSn[] =
{
   "FAS139",
   "FAS34",
   "FAS8",
   "FW2",
   "NFW2",
   "MFW2",
   0L
};
char * cTypeTandemConnection[] =
{
   "N1HP1",
   "N1HP2",
   "N1LP2",
   "N2",
   0L
};
char * cDisplayTandem[] =
{
   "HEX",
   "ASCII",
   0L
};
char * cDisplayItem[] =
{
   "TSE",
   "MAN",
   "MAN:JOFF",
   "MAN:JON",
   "MAN:TCL",
   "MAN:TCEL",
   "MAN:RCEL",
   "PSEQ",
   "PSEQ:JOFF",
   "PSEQ:JON",
   "DEL",
   "JTOL",
   "JTR",
   "JFR",
   "WAND",
   "CDV1",
   "CDV2",
   0L
};
char * cIntValues[] =
{
   "1",
   "15",
   "60",
   0L
};
char * cGraduationAxisSuffix[] =
{
   "M",
   "S",
   0L
};
char * cErrorItemDisplay[] =
{
   "B1",
   "B2",
   "B3:HP",
   "B3:LP",
   "BIP2",
   "REI:MS",
   "REI:HP",
   "REI:LP",
   "REI:L",
   "REI:P",
   "REI:V",
   "IEC:HP",
   "REI:HT",
   "OEI:HP",
   "IEC:LP",
   "REI:LT",
   "OEI:LP",
   "BIP2:N2",
   "BIT:OH",
   "CODE",
   "FRAM:M139",
   "FRAM:M45",
   "FRAM:M34",
   "FRAM:M8",
   "FRAM:M2",
   "FRAM:M1_5",
   "REI:M139",
   "REI:M45",
   "REI:M34",
   "EBIT",
   "BIP8",
   "PARITY",
   "CBIT",
   "CRC6",
   "BIT",
   "CIDPKT",
   0L
};
char * cErrorItemDisplay2[] =
{
   "EC",
   "ER",
   0L
};
char * cAlarmItem[] =
{
   "ALL",
   "POW",
   "LOS",
   "LOF",
   "OOF",
   "AIS:MS",
   "AIS:L",
   "RDI:MS",
   "RDI:L",
   "AIS:AU",
   "AIS:P",
   "LOP:AU",
   "LOP:P",
   "RDI:HP",
   "RDI:P",
   "SLM:HP",
   "PLM:P",
   "TIM:HP",
   "TIM:P",
   "UNEQ:HP",
   "UNEQ:P",
   "AIS:HV",
   "ISF:HP",
   "FAS:HP",
   "IAIS:HP",
   "TRDI:HP",
   "ODI:HP",
   "AIS:TU",
   "AIS:V",
   "LOP:TU",
   "LOP:V",
   "RDI:LP",
   "RDI:V",
   "SLM:LP",
   "PLM:V",
   "RFI:LP",
   "RFI:V",
   "LOM:TU",
   "LOM:V",
   "TIM:LP",
   "TIM:V",
   "UNEQ:LP",
   "UNEQ:V",
   "AIS:LV",
   "FAS:LP",
   "IAIS:LP",
   "TRDI:LP",
   "ODI:LP",
   "AIS:M139",
   "AIS:M45",
   "AIS:M34",
   "AIS:M8",
   "AIS:M2",
   "AIS:M1_5",
   "LOF:M139",
   "LOF:M45",
   "LOF:M34",
   "LOF:M8",
   "LOF:M2",
   "LOF:M1_5",
   "LOF:MF",
   "RDI:M139",
   "RDI:M45",
   "RDI:M34",
   "RDI:M8",
   "RDI:M2",
   "RDI:M1_5",
   "RDI:MF",
   "SYN:OH",
   "AIS:HG",
   "REC:HG",
   "BAI:S15",
   "AIS:S15",
   "SIG:OFF",
   0L
};
char * cDataDisplayFormat[] =
{
   "HEX",
   "BINARY",
   0L
};
char * cPointerMonitor[] =
{
   "AU",
   "TU",
   "STS",
   "VT",
   0L
};
char * cGraphPointerSDH[] =
{
   "AU",
   "TU",
   "PJC",
   0L
};
char * cGraphPointerSonet[] =
{
   "STS",
   "VT",
   "PJC",
   0L
};
char * cObjectiveIPPacket[] =
{
   "IPV4",
   "IPV6",
   0L
};
char * cAlarmRecall[] =
{
   "ALL",
   "POW",
   "LOS",
   "LOF",
   "OOF",
   "AIS:MS",
   "RDI:MS",
   "AIS:AU",
   "LOP:AU",
   "RDI:HP",
   "SLM:HP",
   "AIS:TU",
   "LOP:TU",
   "RDI:LP",
   "SLM:LP",
   "RPI:LP",
   "LOM:TU",
   "AIS:M139",
   "AIS:M45",
   "AIS:M34",
   "AIS:M8",
   "AIS:M2",
   "AIS:M1_5",
   "LOF:M139",
   "LOF:M45",
   "LOF:M34",
   "LOF:M8",
   "LOF:M2",
   "LOF:M1_5",
   "LOF:MF",
   "RDI:M139",
   "RDI:M45",
   "RDI:M34",
   "RDI:M8",
   "RDI:M2",
   "RDI:M1_5",
   "RDI:MF",
   "PATT",
   0L
};
char * cScaleWidthAxis[] =
{
   "M",
   0L
};
char * cRouteResultsSearch[] =
{
   "AUG",
   "AU3",
   "TUG3",
   "TUG2",
   "TU12",
   "TU11",
   "K384",
   "STS3",
   "STS1",
   "TUG3",
   "VTG",
   "VT2",
   "VT15",
   "K384",
   0L
};
char * cDispAnalTseData[] =
{
    "TSE:LOS",
    "TSE:PATT",
    "TSE:AIS:M139",
    "TSE:AIS:M45",
    "TSE:AIS:M34",
    "TSE:AIS:M8",
    "TSE:AIS:M2",
    "TSE:AIS:M1_5",
    "TSE:AIS:MS",
    "TSE:AIS:L",
    "TSE:AIS:AU",
    "TSE:AIS:TU",
    "TSE:AIS:P",
    "TSE:AIS:V",
    "TSE:LOF:M139",
    "TSE:LOF:M45",
    "TSE:LOF:M34",
    "TSE:LOF:M8",
    "TSE:LOF:M2",
    "TSE:LOF:M1_5",
    "TSE:LOF:MF",
    "TSE:LOF",
    "TSE:RDI:M139",
    "TSE:RDI:M45",
    "TSE:RDI:M34",
    "TSE:RDI:M8",
    "TSE:RDI:M2",
    "TSE:RDI:M1_5",
    "TSE:RDI:MF",
    "TSE:OOF",
    "TSE:LOP:AU",
    "TSE:LOP:TU",
    "TSE:LOP:P",
    "TSE:LOP:V",
    "TSE:RDI:MS",
    "TSE:RDI:L",
    "TSE:RDI:HP",
    "TSE:RDI:LP",
    "TSE:RDI:P",
    "TSE:RDI:V",
    "TSE:SLM:HP",
    "TSE:SLM:LP",
    "TSE:PLM:P",
    "TSE:PLM:V",
    "TSE:RFI:LP",
    "TSE:RFI:V",
    "TSE:LOM:TU",
    "TSE:LOM:V",
    "TSE:B1",
    "TSE:B2",   
    "TSE:B3:HP",
    "TSE:B3:LP",
    "TSE:BIP2",
    "TSE:REI:MS",
    "TSE:REI:HP",
    "TSE:REI:LP",
    "TSE:REI:L",
    "TSE:REI:P",
    "TSE:REI:V",
    "TSE:CODE",
    "TSE:FRAM:M139",
    "TSE:FRAM:M45",
    "TSE:FRAM:M34",
    "TSE:FRAM:M8",
    "TSE:FRAM:M2",
    "TSE:FRAM:M1_5",
    "TSE:REI:M45",
    "TSE:CRC4",
    "TSE:EBIT",
    "TSE:PARITY",
    "TSE:CBIT",
    "TSE:CRC6",
    "TSE:BIT",
    0L
};
char * cJudgement[] = 
{
    "  Acceptable",
    "    Degraded",
    "Unacceptable",
    "------------",
    0L
};
char * cDispAnalTseSear[] = 
{
    "BEF",
    "NEXT",
    0L
};
char * cDispAnalTseRout[] =
{
    "AUG",  /* SDH ONLY */
    "AU3",  /* SDH ONLY */
    "TUG3", /* SDH ONLY */
    "TUG2", /* SDH AND SONET */
    "TU12", /* SDH ONLY */
    "TU11", /* SDH ONLY */
    "STS3",  /* SONET ONLY */ 
    "STS1", /* SONET ONLY */ 
    "VTG",  /* SONET ONLY */ 
    "VT2",  /* SONET ONLY */ 
    "VT15", /* SONET ONLY */ 
    "K384", /* REST ARE BOTH SDH/SONET */ 
    "M34",
    "M8",
    "M2",
    "M1_5",
    "K64",
    0L
};
char * cDispDselName[] = 
{
    "SET",
    "TMEN",                     
    "RES",
    "ANAL",
    "T&R",
    "T&A",
    "R&A",
    "T&R&A",
    0L
};  
char * cDispResName[] = 
{
    "TSE",  /* Trouble search subscreen     */
    "EAL",  /* Error/Alarm subscreen        */
    "JUST", /* Justification subscreen      */
    "ZOOM", /* Zoom subscreen               */
    "PERF", /* Performance subscreen        */
    "B2",   /* B2 error subscreen           */
    "SIM",  /* Simultaneous subscreen       */
    "DEL",  /* Delay subscreen              */
    "APS",  /* APS test subscreen           */
    "JWAN", /* Jitter/Wander subscreen      */
    "JTOL", /* Jitter Tolerance subscreen   */
    "JTR",  /* Jitter Transfer subscreen    */
    "JFR",  /* Jitter/Freq. subscreen       */
    "JSW",  /* Jitter sweep subscreen       */
    "FSW",  /* Freq. sweep subscreen        */
    "WAND", /* Wander subscreen             */
    "WSW",  /* Wander sweep subscreen       */
    "CDV1", /* 1-point CDV subscreen        */
    "CDV2", /* 2-point CDV subscreen        */
    "IPP",  /* IP packet subscreen          */
    "SEQ",  /* Sequence test subscreen      */
    0L
};

char *cAnalyzeWavelength[]=
{
    "1.31",
    "1.55",
    0L
};
