
/*= MP 1570 =====================================================*/

/*===========================================================================*/
/*  Please do not use global variables or arrays in the include file of      */
/*  instrument drivers that will be submitted for inclusion into the         */
/*  LabWindows Instrument Driver Library.                                    */
/*===========================================================================*/

#include <visatype.h>


#ifndef __mp1570_HEADER
#define __mp1570_HEADER

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************/
/*= Define Instrument Specific Error Codes Here =============================*/
/*****************************************************************************/
#define VI_ERROR_FILE_OPEN              (_VI_ERROR+0x3FFC0800L)
#define VI_ERROR_FILE_WRITE             (_VI_ERROR+0x3FFC0801L)
#define VI_ERROR_SECURITY_CODE          (_VI_ERROR+0x3FFC0802L)
#define VI_ERROR_INTERPRETING_RESPONSE  (_VI_ERROR+0x3FFC0803L)
#define VI_ERROR_STAMP                  (_VI_ERROR+0x3FFC0805L)
#define VI_ERROR_OUTOFF_RANGE           (_VI_ERROR+0x3FFC0806L)

/*****************************************************************************/
/*= Define Other useful values here             =============================*/
/*****************************************************************************/

#define BUFFER_SIZE     256L         /* File I/O buffer size */
#define SMALL_BUFFER BUFFER_SIZE - 1 /* I/O buffer for Scan function */
#define MAX_CMD_LENGTH  256L
typedef ViUInt16 vekIdxStrList; 

#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif

/*****************************************************************************/
/*=== END INCLUDE FILE ======================================================*/
/*****************************************************************************/

#endif
