/*****************************************************************************/
/*   Copyright Anritsu 1999  All Rights Reserved.                            */
/*  Revision History:														 */
/*    N Larsen   22 Jan 2001   Changed SetQuestnConditionRegister to		 */
/* 							   GetQuestnConditionRegister					 */
/*							   Changed SetTelecomConditionRegister to   	 */
/*							   GetTelecomConditionRegister					 */
/*                             Changed SetSDHConditionRegister to            */
/*							   GetSDHConditionRegister						 */
/*                             Changed SetSECTConditionRegister to           */
/*							   GetSECTConditionRegister 					 */
/*                             Changed SetHPConditionRegister to             */
/*							   GetHPConditionRegister						 */
/*                             Changed SetLPConditionRegister to             */
/*							   GetLPConditionRegister						 */
/*****************************************************************************/

#include <visatype.h>

ViStatus _VI_FUNC MP1570_GetOperationConditionRegister (ViSession instrSession, ViInt32 operationConditionRegister);
ViStatus _VI_FUNC MP1570_SetOperationMask (ViSession instrSession, ViInt32 operationMask);
ViStatus _VI_FUNC MP1570_GetOperationMask (ViSession instrSession, ViInt32* operationMask);
ViStatus _VI_FUNC MP1570_GetOperationEventRegister (ViSession instrSession, ViInt32* operationEventRegister);
ViStatus _VI_FUNC MP1570_GetInstrumentConditionRegister (ViSession instrSession, ViInt32 instrumentConditionRegister);
ViStatus _VI_FUNC MP1570_SetInstrumentMask (ViSession instrSession, ViInt32 instrumentMask);
ViStatus _VI_FUNC MP1570_GetInstrumentMask (ViSession instrSession, ViInt32* instrumentMask);
ViStatus _VI_FUNC MP1570_GetInstrumentEventRegister (ViSession instrSession, ViInt32* instrumentEventRegister);
ViStatus _VI_FUNC MP1570_SetInstrumentNegTransFilter (ViSession instrSession, ViInt32 instrumentNegTransFilter);
ViStatus _VI_FUNC MP1570_GetInstrumentNegTransFilter (ViSession instrSession, ViInt32* instrumentNegtiveTransFilter);
ViStatus _VI_FUNC MP1570_SetInstrumentPosTransFilter (ViSession instrSession, ViInt32 instrumentPosTransFilter);
ViStatus _VI_FUNC MP1570_GetInstrumentPosTransFilter (ViSession instrSession, ViInt32* instrumentPosTransFilter);
ViStatus _VI_FUNC MP1570_SetOperationNegTransFilter (ViSession instrSession, ViInt32 operationNegTransFilter);
ViStatus _VI_FUNC MP1570_GetOperationNegTransFilter (ViSession instrSession, ViInt32* operationNegtiveTransFilter);
ViStatus _VI_FUNC MP1570_SetOperationPosTransFilter (ViSession instrSession, ViInt32 operationPosTransFilter);
ViStatus _VI_FUNC MP1570_GetOperationPosTransFilter (ViSession instrSession, ViInt32* operationPosTransFilter);
ViStatus _VI_FUNC MP1570_SetStatusRegisterInitialize (ViSession instrSession);
ViStatus _VI_FUNC MP1570_GetQuestnConditionRegister (ViSession instrSession, ViInt32 questionableConditionRegister);
ViStatus _VI_FUNC MP1570_SetQuestnMask (ViSession instrSession, ViInt32 questionableMask);
ViStatus _VI_FUNC MP1570_GetQuestnMask (ViSession instrSession, ViInt32* questionableMask);
ViStatus _VI_FUNC MP1570_GetQuestnEventRegister (ViSession instrSession, ViInt32* questionableEventRegister);
ViStatus _VI_FUNC MP1570_SetQuestnNegTransFilter (ViSession instrSession, ViInt32 questionableNegTransFilter);
ViStatus _VI_FUNC MP1570_GetQuestnNegTransFilter (ViSession instrSession, ViInt32* questionableNegtiveTransFilter);
ViStatus _VI_FUNC MP1570_SetQuestnPosTransFilter (ViSession instrSession, ViInt32 questionablePosTransFilter);
ViStatus _VI_FUNC MP1570_GetQuestnPosTransFilter (ViSession instrSession, ViInt32* questionablePosTransFilter);
ViStatus _VI_FUNC MP1570_GetTelecomConditionRegister (ViSession instrSession, ViInt32 telecomConditionRegister);
ViStatus _VI_FUNC MP1570_SetTelecomMask (ViSession instrSession, ViInt32 telecomMask);
ViStatus _VI_FUNC MP1570_GetTelecomMask (ViSession instrSession, ViInt32* telecomMask);
ViStatus _VI_FUNC MP1570_GetTelecomEventRegister (ViSession instrSession, ViInt32* telecomEventRegister);
ViStatus _VI_FUNC MP1570_SetM139ConditionRegister (ViSession instrSession, ViInt32 M139ConditionRegister);
ViStatus _VI_FUNC MP1570_SetM139Mask (ViSession instrSession, ViInt32 M139Mask);
ViStatus _VI_FUNC MP1570_GetM139Mask (ViSession instrSession, ViInt32* M139Mask);
ViStatus _VI_FUNC MP1570_GetM139EventRegister (ViSession instrSession, ViInt32* M139EventRegister);
ViStatus _VI_FUNC MP1570_SetM139NegTransFilter (ViSession instrSession, ViInt32 M139NegTransFilter);
ViStatus _VI_FUNC MP1570_GetM139NegTransFilter (ViSession instrSession, ViInt32* M139NegtiveTransFilter);
ViStatus _VI_FUNC MP1570_SetM139PosTransFilter (ViSession instrSession, ViInt32 M139PosTransFilter);
ViStatus _VI_FUNC MP1570_GetM139PosTransFilter (ViSession instrSession, ViInt32* M139PosTransFilter);
ViStatus _VI_FUNC MP1570_SetM2ConditionRegister (ViSession instrSession, ViInt32 M2ConditionRegister);
ViStatus _VI_FUNC MP1570_SetM2Mask (ViSession instrSession, ViInt32 M2Mask);
ViStatus _VI_FUNC MP1570_GetM2Mask (ViSession instrSession, ViInt32* M2Mask);
ViStatus _VI_FUNC MP1570_GetM2EventRegister (ViSession instrSession, ViInt32* M2EventRegister);
ViStatus _VI_FUNC MP1570_SetM2NegTransFilter (ViSession instrSession, ViInt32 M2NegTransFilter);
ViStatus _VI_FUNC MP1570_GetM2NegTransFilter (ViSession instrSession, ViInt32* M2NegtiveTransFilter);
ViStatus _VI_FUNC MP1570_SetM2PosTransFilter (ViSession instrSession, ViInt32 M2PosTransFilter);
ViStatus _VI_FUNC MP1570_GetM2PosTransFilter (ViSession instrSession, ViInt32* M2PosTransFilter);
ViStatus _VI_FUNC MP1570_SetM34ConditionRegister (ViSession instrSession, ViInt32 M34ConditionRegister);
ViStatus _VI_FUNC MP1570_SetM34Mask (ViSession instrSession, ViInt32 M34Mask);
ViStatus _VI_FUNC MP1570_GetM34Mask (ViSession instrSession, ViInt32* M34Mask);
ViStatus _VI_FUNC MP1570_GetM34EventRegister (ViSession instrSession, ViInt32* M34EventRegister);
ViStatus _VI_FUNC MP1570_SetM34NegTransFilter (ViSession instrSession, ViInt32 M34NegTransFilter);
ViStatus _VI_FUNC MP1570_GetM34NegTransFilter (ViSession instrSession, ViInt32* M34NegtiveTransFilter);
ViStatus _VI_FUNC MP1570_SetM34PosTransFilter (ViSession instrSession, ViInt32 M34PosTransFilter);
ViStatus _VI_FUNC MP1570_GetM34PosTransFilter (ViSession instrSession, ViInt32* M34PosTransFilter);
ViStatus _VI_FUNC MP1570_GetM8ConditionRegister (ViSession instrSession, ViInt32* M8ConditionRegister);
ViStatus _VI_FUNC MP1570_SetM8Mask (ViSession instrSession, ViInt32 M8Mask);
ViStatus _VI_FUNC MP1570_GetM8Mask (ViSession instrSession, ViInt32* M8Mask);
ViStatus _VI_FUNC MP1570_GetM8EventRegister (ViSession instrSession, ViInt32* M8EventRegister);
ViStatus _VI_FUNC MP1570_SetM8NegTransFilter (ViSession instrSession, ViInt32 M8NegTransFilter);
ViStatus _VI_FUNC MP1570_GetM8NegTransFilter (ViSession instrSession, ViInt32* M8NegtiveTransFilter);
ViStatus _VI_FUNC MP1570_SetM8PosTransFilter (ViSession instrSession, ViInt32 M8PosTransFilter);
ViStatus _VI_FUNC MP1570_GetM8PosTransFilter (ViSession instrSession, ViInt32* M8PosTransFilter);
ViStatus _VI_FUNC MP1570_SetTelecomNegTransFilter (ViSession instrSession, ViInt32 telecomNegTransFilter);
ViStatus _VI_FUNC MP1570_GetTelecomNegTransFilter (ViSession instrSession, ViInt32* telecomNegtiveTransFilter);
ViStatus _VI_FUNC MP1570_SetTelecomPosTransFilter (ViSession instrSession, ViInt32 telecomPosTransFilter);
ViStatus _VI_FUNC MP1570_GetTelecomPosTransFilter (ViSession instrSession, ViInt32* telecomPosTransFilter);
ViStatus _VI_FUNC MP1570_GetSDHConditionRegister (ViSession instrSession, ViInt32* SDHConditionRegister);
ViStatus _VI_FUNC MP1570_SetSDHMask (ViSession instrSession, ViInt32 SDHMask);
ViStatus _VI_FUNC MP1570_GetSDHMask (ViSession instrSession, ViInt32* SDHMask);
ViStatus _VI_FUNC MP1570_GetSDHEventRegister (ViSession instrSession, ViInt32* SDHEventRegister);
ViStatus _VI_FUNC MP1570_GetHPConditionRegister (ViSession instrSession, ViInt32 HPConditionRegister);
ViStatus _VI_FUNC MP1570_SetHPMask (ViSession instrSession, ViInt32 HPMask);
ViStatus _VI_FUNC MP1570_GetHPMask (ViSession instrSession, ViInt32* HPMask);
ViStatus _VI_FUNC MP1570_GetSDHHPEventRegister (ViSession instrSession, ViInt32* SDHHPEventRegister);
ViStatus _VI_FUNC MP1570_SetHPNegTransFilter (ViSession instrSession, ViInt32 HPNegTransFilter);
ViStatus _VI_FUNC MP1570_GetHPNegTransFilter (ViSession instrSession, ViInt32* HPNegtiveTransFilter);
ViStatus _VI_FUNC MP1570_SetHPPosTransFilter (ViSession instrSession, ViInt32 HPPosTransFilter);
ViStatus _VI_FUNC MP1570_GetHPPosTransFilter (ViSession instrSession, ViInt32* HPPosTransFilter);
ViStatus _VI_FUNC MP1570_GetLPConditionRegister (ViSession instrSession, ViInt32 LPConditionRegister);
ViStatus _VI_FUNC MP1570_SetLPMask (ViSession instrSession, ViInt32 LPMask);
ViStatus _VI_FUNC MP1570_GetLPMask (ViSession instrSession, ViInt32* LPMask);
ViStatus _VI_FUNC MP1570_GetSDHLPEventRegister (ViSession instrSession, ViInt32* SDHLPEventRegister);
ViStatus _VI_FUNC MP1570_SetLPNegTransFilter (ViSession instrSession, ViInt32 LPNegTransFilter);
ViStatus _VI_FUNC MP1570_GetLPNegTransFilter (ViSession instrSession, ViInt32* LPNegtiveTransFilter);
ViStatus _VI_FUNC MP1570_SetLPPosTransFilter (ViSession instrSession, ViInt32 LPPosTransFilter);
ViStatus _VI_FUNC MP1570_GetLPPosTransFilter (ViSession instrSession, ViInt32* LPPosTransFilter);
ViStatus _VI_FUNC MP1570_SetSDHNegTransFilter (ViSession instrSession, ViInt32 SDHNegTransFilter);
ViStatus _VI_FUNC MP1570_GetSDHNegTransFilter (ViSession instrSession, ViInt32* SDHNegtiveTransFilter);
ViStatus _VI_FUNC MP1570_SetSdhEventEnableRegMaskValue (ViSession instrSession, ViInt32 sdhEventEnableRegisterMaskValue);
ViStatus _VI_FUNC MP1570_GetSdhEventEnableRegisterCnt (ViSession instrSession, ViInt32* sdhEventEnableRegisterContents);
ViStatus _VI_FUNC MP1570_SetSDHPosTransFilter (ViSession instrSession, ViInt32 SDHPosTransFilter);
ViStatus _VI_FUNC MP1570_GetSDHPosTransFilter (ViSession instrSession, ViInt32* SDHPosTransFilter);
ViStatus _VI_FUNC MP1570_GetSECTConditionRegister (ViSession instrSession, ViInt32 SECTConditionRegister);
ViStatus _VI_FUNC MP1570_SetSECTMask (ViSession instrSession, ViInt32 SECTMask);
ViStatus _VI_FUNC MP1570_GetSECTMask (ViSession instrSession, ViInt32* SECTMask);
ViStatus _VI_FUNC MP1570_GetSDHSectEventRegister (ViSession instrSession, ViInt32* SDHSectEventRegister);
ViStatus _VI_FUNC MP1570_SetSECTNegTransFilter (ViSession instrSession, ViInt32 SECTNegTransFilter);
ViStatus _VI_FUNC MP1570_GetSECTNegTransFilter (ViSession instrSession, ViInt32* SECTNegtiveTransFilter);
ViStatus _VI_FUNC MP1570_SetSECTPosTransFilter (ViSession instrSession, ViInt32 SECTPosTransFilter);
ViStatus _VI_FUNC MP1570_GetSECTPosTransFilter (ViSession instrSession, ViInt32* SECTPosTransFilter);
ViStatus _VI_FUNC MP1570_GetSONETConditionRegister (ViSession instrSession, ViInt32* SONETConditionRegister);
ViStatus _VI_FUNC MP1570_SetSONETMask (ViSession instrSession, ViInt32 SONETMask);
ViStatus _VI_FUNC MP1570_GetSONETMask (ViSession instrSession, ViInt32* SONETMask);
ViStatus _VI_FUNC MP1570_GetSONETEventRegister (ViSession instrSession, ViInt32* SONETEventRegister);
ViStatus _VI_FUNC MP1570_SetSONETNegTransFilter (ViSession instrSession, ViInt32 SONETNegTransFilter);
ViStatus _VI_FUNC MP1570_GetSONETNegTransFilter (ViSession instrSession, ViInt32* SONETNegtiveTransFilter);
ViStatus _VI_FUNC MP1570_GetSONETPathConditionRegister (ViSession instrSession, ViInt32* SONETPathConditionRegister);
ViStatus _VI_FUNC MP1570_SetSTSMask (ViSession instrSession, ViInt32 STSMask);
ViStatus _VI_FUNC MP1570_GetSTSMaskStatus (ViSession instrSession, ViInt32* STSMaskStatus);
ViStatus _VI_FUNC MP1570_GetSONETPathEventRegister (ViSession instrSession, ViInt32* SONETPathEventRegister);
ViStatus _VI_FUNC MP1570_SetSTSNegTransFilter (ViSession instrSession, ViInt32 STSNegTransFilter);
ViStatus _VI_FUNC MP1570_GetSTSNegTransFilter (ViSession instrSession, ViInt32* STSNegtiveTransFilter);
ViStatus _VI_FUNC MP1570_SetSTSPosTransFilter (ViSession instrSession, ViInt32 STSPosTransFilter);
ViStatus _VI_FUNC MP1570_GetSTSPosTransFilter (ViSession instrSession, ViInt32* STSPosTransFilter);
ViStatus _VI_FUNC MP1570_SetSONETPosTransFilter (ViSession instrSession, ViInt32 SONETPosTransFilter);
ViStatus _VI_FUNC MP1570_GetSONETPosTransFilter (ViSession instrSession, ViInt32* SONETPosTransFilter);
ViStatus _VI_FUNC MP1570_GetSONETSectLineConditionRegister (ViSession instrSession, ViInt32* SONETSectLineConditionRegister);
ViStatus _VI_FUNC MP1570_SetSectLineMask (ViSession instrSession, ViInt32 sectLineMask);
ViStatus _VI_FUNC MP1570_GetSectLineMask (ViSession instrSession, ViInt32* sectLineMask);
ViStatus _VI_FUNC MP1570_GetSONETSectLineEventRegister (ViSession instrSession, ViInt32* SONETSectLineEventRegister);
ViStatus _VI_FUNC MP1570_SetSectLineNegTransFilter (ViSession instrSession, ViInt32 sectLineNegTransFilter);
ViStatus _VI_FUNC MP1570_GetSectLineNegTransFilter (ViSession instrSession, ViInt32* sectLineNegtiveTransFilter);
ViStatus _VI_FUNC MP1570_SetSectLinePosTransFilter (ViSession instrSession, ViInt32 sectLinePosTransFilter);
ViStatus _VI_FUNC MP1570_GetSectLinePosTransFilter (ViSession instrSession, ViInt32* sectLinePosTransFilter);
ViStatus _VI_FUNC MP1570_GetSONETVTConditionRegister (ViSession instrSession, ViInt32* SONETVTConditionRegister);
ViStatus _VI_FUNC MP1570_SetVTMask (ViSession instrSession, ViInt32 VTMask);
ViStatus _VI_FUNC MP1570_GetVTMask (ViSession instrSession, ViInt32* VTMask);
ViStatus _VI_FUNC MP1570_GetSONETVTEventRegister (ViSession instrSession, ViInt32* SONETVTEventRegister);
ViStatus _VI_FUNC MP1570_SetVTNegTransFilter (ViSession instrSession, ViInt32 VTNegTransFilter);
ViStatus _VI_FUNC MP1570_GetVTNegTransFilter (ViSession instrSession, ViInt32* VTNegtiveTransFilter);
ViStatus _VI_FUNC MP1570_SetVTPosTransFilter (ViSession instrSession, ViInt32 VTPosTransFilter);
ViStatus _VI_FUNC MP1570_GetVTPosTransFilter (ViSession instrSession, ViInt32* VTPosTransFilter);
ViStatus _VI_FUNC MP1570_SetSonetEventEnableRegMaskValue (ViSession instrSession, ViInt32 sonetEventEnableRegMaskValue);
ViStatus _VI_FUNC MP1570_GetSonetEventEnableRegisterCnt (ViSession instrSession, ViInt32* sonetEventEnableRegContents);
ViStatus _VI_FUNC MP1570_GetTCOHEventTHPRegister (ViSession instrSession, ViInt32* eventTHPRegister);
ViStatus _VI_FUNC MP1570_GetTCOHEventTPRegister (ViSession instrSession, ViInt32* eventTPRegister);
ViStatus _VI_FUNC MP1570_GetTCOHConditionTHPRegister (ViSession instrSession, ViInt32* ConditionTHPRegister);
ViStatus _VI_FUNC MP1570_GetTCOHConditionTPRegister (ViSession instrSession, ViInt32* ConditionTPRegister);
ViStatus _VI_FUNC MP1570_SetTCOHEventTHPRegisterMask (ViSession instrSession, ViInt32 eventTHPRegisterMask);
ViStatus _VI_FUNC MP1570_SetTCOHEventTPRegisterMask (ViSession instrSession, ViInt32 eventTPRegisterMask);
ViStatus _VI_FUNC MP1570_GetTCOHEnableTHPRegister (ViSession instrSession, ViInt32* enableTHPRegister);
ViStatus _VI_FUNC MP1570_GetTCOHEnableTPRegister (ViSession instrSession, ViInt32* enableTPRegister);
ViStatus _VI_FUNC MP1570_SetTCOHTHPPosTransFilter (ViSession instrSession, ViInt32 positiveTransFilter);
ViStatus _VI_FUNC MP1570_SetTCOHTPPosTransFilter (ViSession instrSession, ViInt32 positiveTransFilter);
ViStatus _VI_FUNC MP1570_SetTCOHTHPNegTransFilter (ViSession instrSession, ViInt32 negativeTransFilter);
ViStatus _VI_FUNC MP1570_SetTCOHTPNegTransFilter (ViSession instrSession, ViInt32 negativeTransFilter);
ViStatus _VI_FUNC MP1570_GetTCOHTHPPosTransFilter (ViSession instrSession, ViInt32* positiveTransFilter);
ViStatus _VI_FUNC MP1570_GetTCOHTPPosTransFilter (ViSession instrSession, ViInt32* positiveTransFilter);
ViStatus _VI_FUNC MP1570_GetTCOHTHPNegTransFilter (ViSession instrSession, ViInt32* negativeTransFilter);
ViStatus _VI_FUNC MP1570_GetTCOHTPNegTransFilter (ViSession instrSession, ViInt32* negativeTransFilter);
ViStatus _VI_FUNC MP1570_GetTCOHEventTLPRegister (ViSession instrSession, ViInt32* eventTLPRegister);
ViStatus _VI_FUNC MP1570_GetTCOHEventTVRegister (ViSession instrSession, ViInt32* eventTVRegister);
ViStatus _VI_FUNC MP1570_GetTCOHConditionTLPRegister (ViSession instrSession, ViInt32* ConditionTLPRegister);
ViStatus _VI_FUNC MP1570_GetTCOHConditionTVRegister (ViSession instrSession, ViInt32* ConditionTVRegister);
ViStatus _VI_FUNC MP1570_SetTCOHEnableTLPRegister (ViSession instrSession, ViInt32 eventTLPRegisterMask);
ViStatus _VI_FUNC MP1570_SetTCOHEnableTVRegister (ViSession instrSession, ViInt32 eventTVRegisterMask);
ViStatus _VI_FUNC MP1570_GetTCOHEnableTLPRegister (ViSession instrSession, ViInt32* enableTLPRegister);
ViStatus _VI_FUNC MP1570_GetTCOHEnableTVRegister (ViSession instrSession, ViInt32* enableTVRegister);
ViStatus _VI_FUNC MP1570_SetTCOHTLPPosTransFilter (ViSession instrSession, ViInt32 positiveTransFilter);
ViStatus _VI_FUNC MP1570_SetTCOHTVPosTransFilter (ViSession instrSession, ViInt32 positiveTransFilter);
ViStatus _VI_FUNC MP1570_SetTCOHTLPNegTransFilter (ViSession instrSession, ViInt32 negativeTransFilter);
ViStatus _VI_FUNC MP1570_SetTCOHTVNegTransFilter (ViSession instrSession, ViInt32 negativeTransFilter);
ViStatus _VI_FUNC MP1570_GetTCOHTLPPosTransFilter (ViSession instrSession, ViInt32* positiveTransFilter);
ViStatus _VI_FUNC MP1570_GetTCOHTVPosTransFilter (ViSession instrSession, ViInt32* positiveTransFilter);
ViStatus _VI_FUNC MP1570_GetTCOHTLPNegTransFilter (ViSession instrSession, ViInt32* negativeTransFilter);
ViStatus _VI_FUNC MP1570_GetTCOHTVNegTransFilter (ViSession instrSession, ViInt32* negativeTransFilter);
ViStatus _VI_FUNC MP1570_GetTCOHEventSDHOHRegister (ViSession instrSession, ViInt32* eventSDHOHRegister);
ViStatus _VI_FUNC MP1570_GetTCOHEventSONETOHRegister (ViSession instrSession, ViInt32* eventSONETOHRegister);
ViStatus _VI_FUNC MP1570_GetTCOHConditionSDHOHRegister (ViSession instrSession, ViInt32* ConditionSDHOHRegister);
ViStatus _VI_FUNC MP1570_GetTCOHConditionSONETOHRegister (ViSession instrSession, ViInt32* ConditionSONETOHRegister);
ViStatus _VI_FUNC MP1570_SetTCOHEnableSDHOHRegisterMask (ViSession instrSession, ViInt32 eventSDHOHRegisterMask);
ViStatus _VI_FUNC MP1570_SetTCOHEnableSONETOHRegMask (ViSession instrSession, ViInt32 eventSONETOHRegisterMask);
ViStatus _VI_FUNC MP1570_GetTCOHEnableSDHOHRegister (ViSession instrSession, ViInt32* enableSDHOHRegister);
ViStatus _VI_FUNC MP1570_GetTCOHEnableSONETOHRegister (ViSession instrSession, ViInt32* enableSONETOHRegister);
ViStatus _VI_FUNC MP1570_SetTCOHSDHOHPosTransFilter (ViSession instrSession, ViInt32 positiveTransFilter);
ViStatus _VI_FUNC MP1570_SetTCOHSONETOHPosTransFilter (ViSession instrSession, ViInt32 positiveTransFilter);
ViStatus _VI_FUNC MP1570_SetTCOHSDHOHNegTransFilter (ViSession instrSession, ViInt32 negativeTransFilter);
ViStatus _VI_FUNC MP1570_SetTCOHSONETOHNegTransFilter (ViSession instrSession, ViInt32 negativeTransFilter);
ViStatus _VI_FUNC MP1570_GetTCOHSDHOHPosTransFilter (ViSession instrSession, ViInt32* positiveTransFilter);
ViStatus _VI_FUNC MP1570_GetTCOHSONETOHPosTransFilter (ViSession instrSession, ViInt32* positiveTransFilter);
ViStatus _VI_FUNC MP1570_GetTCOHSDHOHNegTransFilter (ViSession instrSession, ViInt32* negativeTransFilter);
ViStatus _VI_FUNC MP1570_GetTCOHSONETOHNegTransFilter (ViSession instrSession, ViInt32* negativeTransFilter);
ViStatus _VI_FUNC MP1570_GetTCSigEventSDHSigRegister (ViSession instrSession, ViInt32* eventSDHSignallingRegister);
ViStatus _VI_FUNC MP1570_GetTCSigEventSONETSigRegister (ViSession instrSession, ViInt32* eventSONETSignallingRegister);
ViStatus _VI_FUNC MP1570_GetTCSigConditionSDHSigRegister (ViSession instrSession, ViInt32* ConditionSDHSignallingRegister);
ViStatus _VI_FUNC MP1570_GetTCSigConditionSONETSigReg (ViSession instrSession, ViInt32* ConditionSONETSigReg);
ViStatus _VI_FUNC MP1570_SetTCSigEnableSDHSigRegMask (ViSession instrSession, ViInt32 eventSDHSigRegMask);
ViStatus _VI_FUNC MP1570_SetTCSigEnableSONETSigRegMask (ViSession instrSession, ViInt32 eventSONETSigRegMask);
ViStatus _VI_FUNC MP1570_GetTCSigEnableSDHSigRegister (ViSession instrSession, ViInt32* enableSDHSignallingRegister);
ViStatus _VI_FUNC MP1570_GetTCSigEnableSONETSigRegister (ViSession instrSession, ViInt32* enableSONETSignallingRegister);
ViStatus _VI_FUNC MP1570_SetTCSigSDHSigPosTransFilter (ViSession instrSession, ViInt32 positiveTransFilter);
ViStatus _VI_FUNC MP1570_SetTCSigSONETSigPosTransFilter (ViSession instrSession, ViInt32 positiveTransFilter);
ViStatus _VI_FUNC MP1570_SetTCSigSDHSigNegTransFilter (ViSession instrSession, ViInt32 negativeTransFilter);
ViStatus _VI_FUNC MP1570_SetTCSigSONETSigNegTransFilter (ViSession instrSession, ViInt32 negativeTransFilter);
ViStatus _VI_FUNC MP1570_GetTCSigSDHSigPosTransFilter (ViSession instrSession, ViInt32* positiveTransFilter);
ViStatus _VI_FUNC MP1570_GetTCSigSONETSigPosTransFilter (ViSession instrSession, ViInt32* positiveTransFilter);
ViStatus _VI_FUNC MP1570_GetTCSigSDHSigNegTransFilter (ViSession instrSession, ViInt32* negativeTransFilter);
ViStatus _VI_FUNC MP1570_GetTCSigSONETSigNegTransFilter (ViSession instrSession, ViInt32* negativeTransFilter);

