/*****************************************************************************/
/*   Copyright Anritsu 1999  All Rights Reserved.                            */
/*  Modification History:                                                    */
/* N Larsen   Anritsu   9 April 2001  Added MP1570_ident and MP1570_options  */
/*****************************************************************************/

#include <visatype.h>

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/** the file name is "Adding define"  **/
/*************************************************************************/
/*   Need define list in utility.h and have to include this header file  */
/*************************************************************************/

/*:INST:COUP*/
#define MP1570A_INST_COUP_ALL  (0)
#define MP1570A_INST_COUP_NONE (1)

/*:INST:DONF*/
#define MP1570_INST_CONF_SDH_PDH		(0)	/* SDH_PDH */
#define MP1570_INST_CONF_SONET_PDH	(1)	/* SONET_DSN */
#define MP1570_INST_CONF_CID		(2)	/* CID pattern */
#define MP1570_INST_CONF_NON		(3)	/* No frame */
#define MP1570_INST_CONF_ATM		(4)	/* ATM */
#define MP1570_INST_CONF_IP_SDH		(5)	/* IP over SDH */
#define MP1570_INST_CONF_IP_SONET	(6)	/* IP over SONET */
#define MP1570_INST_CONF_JITTER		(7)	/* Jitter only */

/*:SOUR:TEL:CLOC:SOUR*/
#define MP1570_SOUR_TEL_CLOC_SOUR_INT		(0)	/* Internal */
#define MP1570_SOUR_TEL_CLOC_SOUR_EXT		(1)	/* External */
#define MP1570_SOUR_TEL_CLOC_SOUR_LUNB_2MHZ	(2)	/* Lock2MHzUnbalanced*/
#define MP1570_SOUR_TEL_CLOC_SOUR_LBAL_2MHZ	(3)	/* Lock2MHzBalanced*/
#define MP1570_SOUR_TEL_CLOC_SOUR_LUNB_2MBPS	(4)	/* Lock2MbpsUnbalanced*/
#define MP1570_SOUR_TEL_CLOC_SOUR_LBAL_2MBPS	(5)	/* Lock2MbpsBalanced*/
#define MP1570_SOUR_TEL_CLOC_SOUR_LBAL_1_5MHZ	(6)	/* Lock1.5MHzBalanced */
#define MP1570_SOUR_TEL_CLOC_SOUR_LBAL_1_5MBPS	 (7)	/* Lock1.5MbpsBalanced */
#define MP1570_SOUR_TEL_CLOC_SOUR_LUNB_LBAL_64K	(8)	/* Lock64k+8kHz */
#define MP1570_SOUR_TEL_CLOC_SOUR_LBAL_L10M	(9)	/* Lock10M */
#define MP1570_SOUR_TEL_CLOC_SOUR_LBAL_REC	(10)	/* Receive */
#define MP1570_SOUR_TEL_CLOC_SOUR_LBAL_L5M	(11)	/* Lock5M */

/*:SOUR:TEL:BRAT*/

#define MP1570_SOUR_TEL_BRAT_M9953		(0)	/* 9953Mb/s */
#define MP1570_SOUR_TEL_BRAT_M2488		(1)	/* 2488Mb/s */
#define MP1570_SOUR_TEL_BRAT_M622		(2)	/* 622Mb/s */
#define MP1570_SOUR_TEL_BRAT_M156		(3)	/* 156Mb/s */
#define MP1570_SOUR_TEL_BRAT_M156CMI		(4)	/* 156Mb/sCMI */
#define MP1570_SOUR_TEL_BRAT_M52		(5)	/* 52Mb/s */
#define MP1570_SOUR_TEL_BRAT_M52B3ZS		(6)	/* 52Mb/sB3ZS */
#define MP1570_SOUR_TEL_BRAT_M139		(7)	/* 139Mb/s */
#define MP1570_SOUR_TEL_BRAT_M45		(8)	/* 45Mb/s */
#define MP1570_SOUR_TEL_BRAT_M34		(9)	/* 34Mb/s */
#define MP1570_SOUR_TEL_BRAT_M8			(10)	/* 8Mb/s */
#define MP1570_SOUR_TEL_BRAT_M2			(11)	/* 2Mb/s */
#define MP1570_SOUR_TEL_BRAT_M1_5		(12)	/* 1.5Mb/s */

/*:SENS:TEL:BRAT*/
#define MP1570_SENS_TEL_BRAT_M9953		(0)	/* 9953Mb/s */
#define MP1570_SENS_TEL_BRAT_M2488		(1)	/* 2488Mb/s */
#define MP1570_SENS_TEL_BRAT_M622		(2)	/* 622Mb/s */
#define MP1570_SENS_TEL_BRAT_M156		(3)	/* 156Mb/s */
#define MP1570_SENS_TEL_BRAT_M156CMI		(4)	/* 156Mb/sCMI */
#define MP1570_SENS_TEL_BRAT_M52		(5)	/* 52Mb/s */
#define MP1570_SENS_TEL_BRAT_M52B3ZS		(6)	/* 52Mb/sB3ZS */
#define MP1570_SENS_TEL_BRAT_M139		(7)	/* 139Mb/s */
#define MP1570_SENS_TEL_BRAT_M45		(8)	/* 45Mb/s */
#define MP1570_SENS_TEL_BRAT_M34		(9)	/* 34Mb/s */
#define MP1570_SENS_TEL_BRAT_M8			(10)	/* 8Mb/s */
#define MP1570_SENS_TEL_BRAT_M2			(11)	/* 2Mb/s */
#define MP1570_SENS_TEL_BRAT_M1_5		(12)	/* 1.5Mb/s */

/***********************************   Attention   **************************************/
/* We would like to change concentrate No.(8) and (9).					*/
/* No.(8) is mc and No.(9) is Bulk.							*/
/* In MP1570_sourtype.h, char* cSDH_MappingRoutes[] = {  				*/
/* In MP1570_sourtype.h, char* cSONET_MappingRoutes[] = {				*/
/* In MP1570_senstype.h, char* cSDH_RecieveSignalRoute[] = { 				*/
/* In MP1570_senstype.h, char* cSONET_RecieveSignalRoute[] = { 				*/
/* If this table is used in the other system and customers, these functions need to adjust. */
/********************************************************************************************/
/*:SOUR:TEL:MAPP:TYPE*/
/*(SDH)*/
#define MP1570_SOUR_TEL_MAPP_TYPE_VC4_ASY?@?@?@	(0)	/* 139M(Async.) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VC4_BLK?@?@?@	(1)	/* VC4(Bulk) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VC3_ASY	(2)	/* 34M(Async.) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VC3_SYN	(3)	/* 34M(Sync.) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VC3_45MASY?@?@(4)	/* 45M(Async.) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VC3_BLK?@?@?@	(5)	/* VC3(Bulk) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VC2_6MASY	(6)	/* 6M(Async.) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VC2_6MBIT	(7)	/* 6M(Bitsync.) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VC2_MC?@?@?@?@(8)	/* VC2(mc) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VC2_BLK?@?@?@	(9)	/* VC2(Bulk) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VC12_ASY?@?@?@(10)	/* 2M(Async.) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VC12_BIF?@?@?@(11)	/* 2M(Bitsync.F) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VC12_BIL	(12)	/* 2M(Bitsync.L) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VC12_BYF	(13)	/* 2M(Bytesync.F) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VC12_BYL	(14)	/* 2M(Bytesync.L) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VC12_BLK	(15)	/* VC12(Bulk) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VC11_ASY	(16)	/* 1.5M(Async.) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VC11_BIF	(17)	/* 1.5M(Bitsync.F) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VC11_BIL	(18)	/* 1.5M(Bitsync.L) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VC11_BYF	(19)	/* 1.5M(Bytesync.F) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VC11_BYL	(20)	/* 1.5M(Bytesync.L) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VC11_BLK	(21)	/* VC11(Bulk) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VC11_BYD	(22)	/* Byte(Data) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VC11_BYV	(23)	/* Byte(Voice) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VC11_384D	(24)	/* 384k(Data) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VC11_384V	(25)	/* 384k(Voice) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VC4_64CBLK	(26)	/* VC4*64C(Bulk) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VC4_16CBLK	(27)	/* VC4*16C(Bulk) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VC4_4CBLK	(28)	/* VC4*4c(Bulk) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VC4_CBLK	(29)	/* VC4C(Bulk) */

/*(SONET)*/
#define MP1570_SOUR_TEL_MAPP_TYPE_STS3_ASY	(0)	/* 139M(Async.) */
#define MP1570_SOUR_TEL_MAPP_TYPE_STS3_BLK	(1)	/* STS3cSPE(Bulk) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VC3_ASY	(2)	/* 34M(Async.) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VC3_SYN	(3)	/* 34M(Sync.) */
#define MP1570_SOUR_TEL_MAPP_TYPE_STS1_45MASY	(4)	/* 45M(Async.) */
#define MP1570_SOUR_TEL_MAPP_TYPE_STS1_BLK	(5)	/* STS1SPE(Bulk) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VT6_ASY	(6)	/* 6M(Async.) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VT6_BIT	(7)	/* 6M(Bitsync.) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VT6_MC	(8)	/* VT6SPE(mc) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VT6_BLK	(9)	/* VT6SPE(Bulk) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VT2_ASY	(10)	/* 2M(Async.) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VT2_BIF	(11)	/* 2M(Bitsync.F) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VT2_BIL	(12)	/* 2M(Bitsync.L) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VT2_BYF	(13)	/* 2M(Bytesync.F) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VT2_BYL	(14)	/* 2M(Bytesync.L) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VT2_BLK	(15)	/* VT2SPE(Bulk) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VT15_ASY	(16)	/* 1.5M(Async.) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VT15_BIF	(17)	/* 1.5M(Bitsync.F) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VT15_BIL	(18)	/* 1.5M(Bitsync.L) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VT15_BYF	(19)	/* 1.5M(Bytesync.F) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VT15_BYL	(20)	/* 1.5M(Bytesync.L) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VT15_BLK	(21)	/* VT1.5SPE(Bulk) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VT15_BYD	(22)	/* Byte(Data) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VT15_BYV	(23)	/* Byte(Voice) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VT15_384D	(24)	/* 384k(Data) */
#define MP1570_SOUR_TEL_MAPP_TYPE_VT15_384V	(25)	/* 384k(Voice) */
#define MP1570_SOUR_TEL_MAPP_TYPE_STS3_64CBLK	(26)	/* STS3SPE*64C(Bulk) */
#define MP1570_SOUR_TEL_MAPP_TYPE_STS3_16CBLK	(27)	/* STS3SPE*16C(Bulk) */
#define MP1570_SOUR_TEL_MAPP_TYPE_STS3_4CBLK	(28)	/* STS3SPE*4c(Bulk) */
#define MP1570_SOUR_TEL_MAPP_TYPE_STS3_CBLK	(29)	/* STS3SPEC(Bulk) */

/*:SENS:TEL:MAPP:TYPE*/
/*(SDH)*/
#define MP1570_SENS_TEL_MAPP_TYPE_VC4_ASY?@?@?@	(0)	/* 139M(Async.) */
#define MP1570_SENS_TEL_MAPP_TYPE_VC4_BLK?@?@?@	(1)	/* VC4(Bulk) */
#define MP1570_SENS_TEL_MAPP_TYPE_VC3_ASY	(2)	/* 34M(Async.) */
#define MP1570_SENS_TEL_MAPP_TYPE_VC3_SYN	(3)	/* 34M(Sync.) */
#define MP1570_SENS_TEL_MAPP_TYPE_VC3_45MASY?@?@(4)	/* 45M(Async.) */
#define MP1570_SENS_TEL_MAPP_TYPE_VC3_BLK?@?@?@	(5)	/* VC3(Bulk) */
#define MP1570_SENS_TEL_MAPP_TYPE_VC2_6MASY	(6)	/* 6M(Async.) */
#define MP1570_SENS_TEL_MAPP_TYPE_VC2_6MBIT	(7)	/* 6M(Bitsync.) */
#define MP1570_SENS_TEL_MAPP_TYPE_VC2_MC?@?@?@?@(8)	/* VC2(mc) */
#define MP1570_SENS_TEL_MAPP_TYPE_VC2_BLK?@?@?@	(9)	/* VC2(Bulk) */
#define MP1570_SENS_TEL_MAPP_TYPE_VC12_ASY?@?@?@(10)	/* 2M(Async.) */
#define MP1570_SENS_TEL_MAPP_TYPE_VC12_BIF?@?@?@(11)	/* 2M(Bitsync.F) */
#define MP1570_SENS_TEL_MAPP_TYPE_VC12_BIL	(12)	/* 2M(Bitsync.L) */
#define MP1570_SENS_TEL_MAPP_TYPE_VC12_BYF	(13)	/* 2M(Bytesync.F) */
#define MP1570_SENS_TEL_MAPP_TYPE_VC12_BYL	(14)	/* 2M(Bytesync.L) */
#define MP1570_SENS_TEL_MAPP_TYPE_VC12_BLK	(15)	/* VC12(Bulk) */
#define MP1570_SENS_TEL_MAPP_TYPE_VC11_ASY	(16)	/* 1.5M(Async.) */
#define MP1570_SENS_TEL_MAPP_TYPE_VC11_BIF	(17)	/* 1.5M(Bitsync.F) */
#define MP1570_SENS_TEL_MAPP_TYPE_VC11_BIL	(18)	/* 1.5M(Bitsync.L) */
#define MP1570_SENS_TEL_MAPP_TYPE_VC11_BYF	(19)	/* 1.5M(Bytesync.F) */
#define MP1570_SENS_TEL_MAPP_TYPE_VC11_BYL	(20)	/* 1.5M(Bytesync.L) */
#define MP1570_SENS_TEL_MAPP_TYPE_VC11_BLK	(21)	/* VC11(Bulk) */
#define MP1570_SENS_TEL_MAPP_TYPE_VC11_BYD	(22)	/* Byte(Data) */
#define MP1570_SENS_TEL_MAPP_TYPE_VC11_BYV	(23)	/* Byte(Voice) */
#define MP1570_SENS_TEL_MAPP_TYPE_VC11_384D	(24)	/* 384k(Data) */
#define MP1570_SENS_TEL_MAPP_TYPE_VC11_384V	(25)	/* 384k(Voice) */
#define MP1570_SENS_TEL_MAPP_TYPE_VC4_64CBLK	(26)	/* VC4*64C(Bulk) */
#define MP1570_SENS_TEL_MAPP_TYPE_VC4_16CBLK	(27)	/* VC4*16C(Bulk) */
#define MP1570_SENS_TEL_MAPP_TYPE_VC4_4CBLK	(28)	/* VC4*4c(Bulk) */
#define MP1570_SENS_TEL_MAPP_TYPE_VC4_CBLK	(29)	/* VC4C(Bulk) */

/*(SONET)*/
#define MP1570_SENS_TEL_MAPP_TYPE_STS3_ASY	(0)	/* 139M(Async.) */
#define MP1570_SENS_TEL_MAPP_TYPE_STS3_BLK	(1)	/* STS3cSPE(Bulk) */
#define MP1570_SENS_TEL_MAPP_TYPE_VC3_ASY	(2)	/* 34M(Async.) */
#define MP1570_SENS_TEL_MAPP_TYPE_VC3_SYN	(3)	/* 34M(Sync.) */
#define MP1570_SENS_TEL_MAPP_TYPE_STS1_45MASY	(4)	/* 45M(Async.) */
#define MP1570_SENS_TEL_MAPP_TYPE_STS1_BLK	(5)	/* STS1SPE(Bulk) */
#define MP1570_SENS_TEL_MAPP_TYPE_VT6_ASY	(6)	/* 6M(Async.) */
#define MP1570_SENS_TEL_MAPP_TYPE_VT6_BIT	(7)	/* 6M(Bitsync.) */
#define MP1570_SENS_TEL_MAPP_TYPE_VT6_MC	(8)	/* VT6SPE(mc) */
#define MP1570_SENS_TEL_MAPP_TYPE_VT6_BLK	(9)	/* VT6SPE(Bulk) */
#define MP1570_SENS_TEL_MAPP_TYPE_VT2_ASY	(10)	/* 2M(Async.) */
#define MP1570_SENS_TEL_MAPP_TYPE_VT2_BIF	(11)	/* 2M(Bitsync.F) */
#define MP1570_SENS_TEL_MAPP_TYPE_VT2_BIL	(12)	/* 2M(Bitsync.L) */
#define MP1570_SENS_TEL_MAPP_TYPE_VT2_BYF	(13)	/* 2M(Bytesync.F) */
#define MP1570_SENS_TEL_MAPP_TYPE_VT2_BYL	(14)	/* 2M(Bytesync.L) */
#define MP1570_SENS_TEL_MAPP_TYPE_VT2_BLK	(15)	/* VT2SPE(Bulk) */
#define MP1570_SENS_TEL_MAPP_TYPE_VT15_ASY	(16)	/* 1.5M(Async.) */
#define MP1570_SENS_TEL_MAPP_TYPE_VT15_BIF	(17)	/* 1.5M(Bitsync.F) */
#define MP1570_SENS_TEL_MAPP_TYPE_VT15_BIL	(18)	/* 1.5M(Bitsync.L) */
#define MP1570_SENS_TEL_MAPP_TYPE_VT15_BYF	(19)	/* 1.5M(Bytesync.F) */
#define MP1570_SENS_TEL_MAPP_TYPE_VT15_BYL	(20)	/* 1.5M(Bytesync.L) */
#define MP1570_SENS_TEL_MAPP_TYPE_VT15_BLK	(21)	/* VT1.5SPE(Bulk) */
#define MP1570_SENS_TEL_MAPP_TYPE_VT15_BYD	(22)	/* Byte(Data) */
#define MP1570_SENS_TEL_MAPP_TYPE_VT15_BYV	(23)	/* Byte(Voice) */
#define MP1570_SENS_TEL_MAPP_TYPE_VT15_384D	(24)	/* 384k(Data) */
#define MP1570_SENS_TEL_MAPP_TYPE_VT15_384V	(25)	/* 384k(Voice) */
#define MP1570_SENS_TEL_MAPP_TYPE_STS3_64CBLK	(26)	/* STS3SPE*64C(Bulk) */
#define MP1570_SENS_TEL_MAPP_TYPE_STS3_16CBLK	(27)	/* STS3SPE*16C(Bulk) */
#define MP1570_SENS_TEL_MAPP_TYPE_STS3_4CBLK	(28)	/* STS3SPE*4c(Bulk) */
#define MP1570_SENS_TEL_MAPP_TYPE_STS3_CBLK	  (29)	/* STS3SPEC(Bulk) */

/*:SOUR:TEL:MAPP:AU */
/* SDH */
#define MP1570_SOUR_TEL_MAPP_AU4	(0)	/*AU4*/
#define MP1570_SOUR_TEL_MAPP_AU3	(1)	/*AU3*/

/*:SOUR:TEL:MAPP:STS */
/* SONET */
#define MP1570_SOUR_TEL_MAPP_STS3	(0)	/*STS3*/
#define MP1570_SOUR_TEL_MAPP_STS1	(1)	/*STS1*/

/*:SOUR:TEL:MAPP:TU*/
/* SDH */
#define MP1570_SOUR_TEL_MAPP_TU12	(0)	/*TU12*/
#define MP1570_SOUR_TEL_MAPP_TU11	(1)	/*TU11*/

/*:SOUR:TEL:MAPP:VT*/
/* SONET */
#define MP1570_SOUR_TEL_MAPP_VT2	(0)	/*VT2*/
#define MP1570_SOUR_TEL_MAPP_VT15	(1)	/*VT15*/

/*:SENS:TEL:MAPP:AU */
/* SDH */
#define MP1570_SENS_TEL_MAPP_AU4	(0)	/*AU4*/
#define MP1570_SENS_TEL_MAPP_AU3	(1)	/*AU3*/

/*:SENS:TEL:MAPP:STS */
/* SONET */
#define MP1570_SENS_TEL_MAPP_STS3	(0)	/*STS3*/
#define MP1570_SENS_TEL_MAPP_STS1	(1)	/*STS1*/

/*:SENS:TEL:MAPP:TU*/
/* SDH */
#define MP1570_SENS_TEL_MAPP_TU12	(0)	/*TU12*/
#define MP1570_SENS_TEL_MAPP_TU11	(1)	/*TU11*/

/*:SENS:TEL:MAPP:VT*/
/* SONET */
#define MP1570_SENS_TEL_MAPP_VT2	(0)	/*VT2*/
#define MP1570_SENS_TEL_MAPP_VT15	(1)	/*VT15*/

/*:SENS:MEAS:TYPE*/
#define MP1570_SENS_MEAS_TYPE_MAN	(0)	/*Manual*/
#define MP1570_SENS_MEAS_TYPE_SING	(1)	/*Single*/
#define MP1570_SENS_MEAS_TYPE_REP	(2)	/*Repeat*/

/*:SENS:MEAS:PER*/
#define MP1570_SENS_MEAS_PER_S		(0)	/*Second*/
#define MP1570_SENS_MEAS_PER_M		(1)	/*Minute*/
#define MP1570_SENS_MEAS_PER_H		(2)	/*Hour*/
#define MP1570_SENS_MEAS_PER_D		(3)	/*Day*/


/*:DISP:DSEL*/
#define MP1570_DISP_DSEL_SET		(0)	/*Setupscreen*/
#define MP1570_DISP_DSEL_TMEN		(1)	/*Testmenuscreen*/
#define MP1570_DISP_DSEL_RES		(2)	/*Resultscreen */
#define MP1570_DISP_DSEL_ANAL		(3)	/*Analyzescreen */
#define MP1570_DISP_DSEL_T_R		(4)	/*Testmenu&Resultscreen */
#define MP1570_DISP_DSEL_T_A		(5)	/*Testmenu&Analyzescreen */
#define MP1570_DISP_DSEL_R_A		(6)	/*Result&Analyzescreen */
#define MP1570_DISP_DSEL_T_R_A		(7)	/*Testmenu&Result&Analyzescreen */

/*:DISP:TMEN*/
#define MP1570_DISP_TMEN_TSE		(0)	/* Troublesearchscreen */
#define MP1570_DISP_TMEN_MAN		(1)	/* Manual(STM)screen */
#define MP1570_DISP_TMEN_MAN_JOFF	(2)	/* Manual(STM)screen */
#define MP1570_DISP_TMEN_MAN_JON	(3)	/* Manual:jitterscreen */
#define MP1570_DISP_TMEN_MAN_NON	(4)	/* ManualNon-frmscreen */
#define MP1570_DISP_TMEN_MAN_CID	(5)	/* ManualCIDscreen */
#define MP1570_DISP_TMEN_MAN_TCL	(6)	/* Manual(ATM)TClayerscreen */
#define MP1570_DISP_TMEN_MAN_TCEL	(7)	/* Manual(ATM)Txcellscreen */
#define MP1570_DISP_TMEN_MAN_RCEL	(8)	/* Manual(ATM)Rxcellscreen */
#define MP1570_DISP_TMEN_MAN_WAND	(9)	/* ManualWandGenscreen */
#define MP1570_DISP_TMEN_PSEQ		(10)	/* Pointersequencescreen */
#define MP1570_DISP_TMEN_PSEQ_JOFF	(11)	/* Pointersequencescreen */
#define MP1570_DISP_TMEN_PSEQ_JON	(12)	/* Pointersequence:jitterscreen */
#define MP1570_DISP_TMEN_DEL		(13)	/* Delayscreen */
#define MP1570_DISP_TMEN_OHT		(14)	/* OHtestscreen */
#define MP1570_DISP_TMEN_APST		(15)	/* APStestscreen */
#define MP1570_DISP_TMEN_PERF		(16)	/* Performancecheckscreen */
#define MP1570_DISP_TMEN_IPT		(17)	/* IPtestscreen */
#define MP1570_DISP_TMEN_FMEM		(18)	/* Framememoryscreen */
#define MP1570_DISP_TMEN_JTOL		(19)	/* Jittertolerancescreen */
#define MP1570_DISP_TMEN_JTR		(20)	/* Jittertransferscreen */
#define MP1570_DISP_TMEN_JFR		(21)	/* Jitter/Freq.screen */
#define MP1570_DISP_TMEN_JSW		(22)	/* Jittersweepscreen */
#define MP1570_DISP_TMEN_FSW		(23)	/* Freq.sweepscreen */
#define MP1570_DISP_TMEN_WAND		(24)	/* Wanderscreen */
#define MP1570_DISP_TMEN_WSW		(25)	/* Wandersweepscreen */
#define MP1570_DISP_TMEN_CDV1		(26)	/* 1-pointCDVscreen */
#define MP1570_DISP_TMEN_CDV2		(27)	/* 2-pointCDVscreen */
#define MP1570_DISP_TMEN_QFAC		(26)	/* Q factor Now not use */
#define MP1570_DISP_TMEN_COMB		(27)	/* Combined jitter Now not use */

/*:DISP:RES*/
#define MP1570_DISP_RES_TSE		(0)	/* Troublesearchscreen */
#define MP1570_DISP_RES_EAL		(1)	/* Error/Alarmscreen */
#define MP1570_DISP_RES_JUST		(2)	/* Justificationscreen */
#define MP1570_DISP_RES_ZOOM		(3)	/* Zoomscreen */
#define MP1570_DISP_RES_PERF		(4)	/* Performancescreen */
#define MP1570_DISP_RES_B2		(5)	/* B2errorscreen */
#define MP1570_DISP_RES_SIM		(6)	/* Simultaneousscreen */
#define MP1570_DISP_RES_DEL		(7)	/* Delayscreen */
#define MP1570_DISP_RES_APS		(8)	/* APStestscreen */
#define MP1570_DISP_RES_JWAN		(9)	/* Jitter/Wanderscreen */
#define MP1570_DISP_RES_JTOL		(10)	/* JitterTolerancescreen */
#define MP1570_DISP_RES_JTR		(11)	/* JitterTransferscreen */
#define MP1570_DISP_RES_JFR		(12)	/* Jitter/Freq.screen */
#define MP1570_DISP_RES_JSW		(13)	/* Jittersweepscreen */
#define MP1570_DISP_RES_FSW		(14)	/* Freq.sweepscreen */
#define MP1570_DISP_RES_WAND		(15)	/* Wanderscreen */
#define MP1570_DISP_RES_WSW		(16)	/* Wandersweepscreen */
#define MP1570_DISP_RES_CDV1		(17)	/* 1-pointCDVscreen */
#define MP1570_DISP_RES_CDV2		(18)	/* 2-pointCDVscreen */
#define MP1570_DISP_RES_SEQ		(19)	/* Sequencetestscreen */

/*****************************************************************************/
/*= UTILITY ROUTINE DECLARATIONS (Non-Exportable Functions) =================*/
/*****************************************************************************/
ViBoolean MP1570_invalidViBooleanRange (ViBoolean val);
ViBoolean MP1570_invalidViInt8Range (ViInt8 val, ViInt8 min, ViInt8 max);
ViBoolean MP1570_invalidViInt16Range (ViInt16 val, ViInt16 min, ViInt16 max);
ViBoolean MP1570_invalidViInt32Range (ViInt32 val, ViInt32 min, ViInt32 max);
ViBoolean MP1570_invalidViUInt8Range (ViUInt8 val, ViUInt8 min, ViUInt8 max);
ViBoolean MP1570_invalidViUInt16Range (ViUInt16 val, ViUInt16 min, ViUInt16 max);
ViBoolean MP1570_invalidViUInt32Range (ViUInt32 val, ViUInt32 min, ViUInt32 max);
ViBoolean MP1570_invalidViReal32Range (ViReal32 val, ViReal32 min, ViReal32 max);
ViBoolean MP1570_invalidViReal64Range (ViReal64 val, ViReal64 min, ViReal64 max);
ViStatus MP1570_initCleanUp (ViSession openRMSession, ViSession* openInstrSession,
							 ViStatus currentStatus);
ViStatus MP1570_defaultInstrSetup (ViSession instrSession);
ViStatus mpWrite (ViSession instrSession, ViChar* buf, ViUInt32 cnt, ViUInt32* retCnt);
ViStatus MP1570_stringToEnum (ViChar** enumStrings, ViChar* targetString, ViUInt16* index);
ViStatus MP1570_Read (ViSession instrSession, ViChar* buf, ViUInt32 cnt, ViUInt32* retCnt);
ViStatus MP1570_parseStrings (ViChar* buffer, ViChar** destStrings);
ViUInt32 AsciiBitStringToInteger (ViChar* AsciiBitString);
ViReal64 MP1570_CoerceFloatToStep (ViReal64 valueToCoerce, ViReal64 stepSize);
ViUInt32 MP1570_CoerceIntToStep (ViUInt32 valueToCoerce, ViUInt32 stepSize);
void integerToAsciiBitString(ViUInt32 integer, ViChar* AsciiBitString, ViUInt32 stringSize);

/*****************************************************************************/
/*= GLOBAL USER-CALLABLE FUNCTION DECLARATIONS (Exportable Functions) =======*/
/*****************************************************************************/
ViStatus _VI_FUNC MP1570_initOLD (ViRsrc resourceName, ViBoolean IDQuery,
                               ViBoolean resetDevice, ViSession* instrumentHandle);
ViStatus _VI_FUNC MP1570_init (ViRsrc resourceName, ViUInt16 IDQuery,
                               ViUInt16 resetDevice, ViSession* instrumentHandle);
ViStatus _VI_FUNC MP1570_ident (ViSession instrSession, ViChar _VI_FAR Manufacturer[],
      							ViChar _VI_FAR Model[], ViChar _VI_FAR SN[],
      							ViChar _VI_FAR Firmware[]);
ViStatus _VI_FUNC MP1570_options (ViSession instrSession, ViChar _VI_FAR Options[]);      							
ViStatus _VI_FUNC MP1570_reset (ViSession instrSession);
ViStatus _VI_FUNC MP1570_resetPowerOn (ViSession instrSession);
ViStatus _VI_FUNC MP1570_resetFactory (ViSession instrSession);
ViStatus _VI_FUNC MP1570_clearStatus (ViSession instrSession);
ViStatus _VI_FUNC MP1570_selfTest (ViSession instrSession,
                                   ViInt16* selfTestResult,
                                   ViChar _VI_FAR selfTestMessage[]);
ViStatus _VI_FUNC MP1570_errorQuery (ViSession instrSession,
                                     ViInt32* errorCode,
                                     ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC MP1570_errorMessage (ViSession instrSession,
                                       ViStatus errorCode,
                                       ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC MP1570_revisionQuery (ViSession instrSession,
                                        ViChar _VI_FAR instrumentDriverRevision[],
                                        ViChar _VI_FAR firmwareRevision[]);
ViStatus _VI_FUNC MP1570_close (ViSession instrSession);

#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
